"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardExtraPoints = void 0;
var _react = _interopRequireDefault(require("react"));
var _utils = require("../../utils");
require("./CoalitionCardExtraPoints.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionCardExtraPoints = _ref => {
  let {
    id,
    logo,
    product,
    title,
    expiracy,
    extraPoints,
    showModal,
    buttonRef
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points",
    ref: buttonRef,
    onClick: () => showModal(id)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-card-bullet"
  }, "+ ".concat(extraPoints, " puntos")), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-logo"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: logo,
    alt: "logo"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-product"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: product,
    alt: "product"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-expiracy"
  }, expiracy ? "V\xE1lido hasta: ".concat(expiracy) : "Permanente"));
};
exports.CoalitionCardExtraPoints = CoalitionCardExtraPoints;
const defLogo = (0, _utils.isPortable)() ? "30x30" : "40x40";
const defProd = (0, _utils.isPortable)() ? "138x80" : "200x100";
CoalitionCardExtraPoints.defaultProps = {
  id: 123,
  logo: (0, _utils.generateImg)(defLogo, "L"),
  product: (0, _utils.generateImg)(defProd, "Product"),
  title: "Título de producto",
  expiracy: null,
  extraPoints: 10
};