"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardPromotion = void 0;
var _react = _interopRequireDefault(require("react"));
var _utils = require("./../../utils");
require("./CoalitionCardPromotion.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionCardPromotion = _ref => {
  let {
    id,
    logo,
    product,
    price,
    title,
    expiracy,
    showModal,
    buttonRef
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion",
    ref: buttonRef,
    onClick: () => showModal(id)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-logo"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: logo,
    alt: "logo"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-product"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: product,
    alt: "product"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-bullet"
  }, price), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-promotion-expiracy"
  }, expiracy ? "V\xE1lido hasta: ".concat(expiracy) : "Permanente"));
};
exports.CoalitionCardPromotion = CoalitionCardPromotion;
const defLogo = (0, _utils.isPortable)() ? "30x30" : "40x40";
const defProd = (0, _utils.isPortable)() ? "138x80" : "200x100";
CoalitionCardPromotion.defaultProps = {
  id: 123,
  logo: (0, _utils.generateImg)(defLogo, "L"),
  product: (0, _utils.generateImg)(defProd, "Product"),
  price: "N piezas x $M pesos",
  title: "Título de producto",
  expiracy: null
};