"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionSlide = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _utils = require("../../utils");
var _CoalitionButton = require("../CoalitionButton");
require("./CoalitionSlide.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
const CoalitionSlide = _ref => {
  let {
    title = "CoalitionSlide Title",
    titleStyle = {
      backgroundColor: "#fff"
    },
    description = "CoalitionSlide Description",
    descriptionStyle = {
      backgroundColor: "#fff"
    },
    // children = [<div key={"CoalitionSlide"}>CoalitionSlide Children</div>],
    children = null,
    buttonLabel = "Accept",
    buttonStyle = {
      color: "#fff"
    },
    valid = false,
    submitFunction = e => (0, _utils.noFunc)("CoalitionSlide", e)
  } = _ref;
  const btnStyles = _objectSpread(_objectSpread({}, buttonStyle), {}, {
    backgroundColor: (0, _utils.isDisabled)(!valid)
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-slide"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-slide-title",
    style: titleStyle
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-slide-description",
    style: descriptionStyle
  }, description), /*#__PURE__*/_react.default.createElement("div", null, children), /*#__PURE__*/_react.default.createElement(_CoalitionButton.CoalitionButton, {
    label: buttonLabel,
    style: btnStyles,
    disabled: !valid,
    onClickEvent: submitFunction
  }));
};
exports.CoalitionSlide = CoalitionSlide;