"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionStampsProgress = void 0;
var _react = _interopRequireDefault(require("react"));
var _svgs = require("../../svgs");
var _utils = require("./../../utils");
require("./CoalitionStampsProgress.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionStampsProgress = _ref => {
  let {
    used,
    needed,
    drawables = 5,
    footer = true
  } = _ref;
  const draw = [];
  const limit = needed >= drawables ? drawables : needed;
  for (let i = 0; i < limit; i++) {
    const k = "".concat(i, "_").concat((0, _utils.makeId)(5));
    const item = i < used ? /*#__PURE__*/_react.default.createElement(_svgs.CircleCheck, {
      key: k
    }) : /*#__PURE__*/_react.default.createElement(_svgs.CirclePlus, {
      key: k
    });
    if (drawables > 5 && i === 5) draw.push( /*#__PURE__*/_react.default.createElement("div", {
      key: "".concat(i, "_").concat((0, _utils.makeId)(5)),
      style: {
        margin: 5
      }
    }));
    draw.push(item);
  }
  if (needed <= drawables) return draw;
  const remanent = needed - drawables;
  draw.push( /*#__PURE__*/_react.default.createElement("div", {
    key: "remanent_".concat((0, _utils.makeId)(5)),
    className: "coalition-stamps-progress-".concat(footer ? "footer" : "body")
  }, "+".concat(remanent)));
  return draw;
};
exports.CoalitionStampsProgress = CoalitionStampsProgress;