"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RewardsPage = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireWildcard(require("react"));
var _components = require("../components");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
class RewardsPage extends _react.Component {
  constructor() {
    super(...arguments);
    _defineProperty(this, "state", {
      isShown: false,
      activeCard: null
    });
    _defineProperty(this, "toggleModal", cardId => {
      this.setState({
        isShown: Boolean(cardId),
        activeCard: this.getCardDetail(cardId)
      });
      this.toggleScrollLock();
    });
    _defineProperty(this, "onClickOutside", e => this.modal && this.modal.contains(e.target) ? null : this.toggleModal());
    _defineProperty(this, "onKeyDown", e => e.keyCode === 27 ? this.toggleModal() : null);
    _defineProperty(this, "toggleScrollLock", () => document.querySelector("html").classList.toggle("modal-scroll-lock"));
    _defineProperty(this, "getCardDetail", cardId => this.props.rewards.find(stamp => stamp.id === cardId));
  }
  render() {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_components.CoalitionHub, {
      title: "Recompensas",
      banners: this.props.banners,
      elements: this.props.rewards
    }, this.props.rewards.map((i, k) => /*#__PURE__*/_react.default.createElement(_components.CoalitionCardReward, {
      key: k,
      id: i.id,
      logo: i.brand_image,
      product: i.image,
      title: i.description !== "" ? i.description : i.title,
      used: i.balance,
      needed: i.required_balance,
      availableToRedeem: i.available_to_redeem,
      showModal: cardId => this.toggleModal(cardId)
    }))), this.state.isShown ? /*#__PURE__*/_react.default.createElement(_components.CoalitionModal, {
      modalRef: n => this.modal = n,
      closeModal: () => this.toggleModal(),
      onKeyDown: this.onKeyDown,
      onClickOutside: this.onClickOutside,
      title: "Todo sobre la recompensa",
      footer: this.state.activeCard.valid_until
    }, /*#__PURE__*/_react.default.createElement(_components.CoalitionCardRewardDetail, {
      card: this.state.activeCard
    })) : null);
  }
}
exports.RewardsPage = RewardsPage;