"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.userInfo = exports.stamps = exports.rewards = exports.promotions = exports.largeUserInfo = exports.extraPoints = exports.banners = exports.awards = void 0;
var _utils = require("./utils");
const userInfo = {
  member_id: "BBLMNHJ",
  profile_image: null,
  first_name: "Test",
  last_name: "Backénd",
  state_code: "",
  medium_code: "9250000000045",
  balance: 55
};
exports.userInfo = userInfo;
const largeUserInfo = {
  member_id: "BBLMNHJ",
  profile_image: null,
  first_name: "Fulanito Guadalupe de Jesús",
  last_name: "y Tobago Sánchez Azuara",
  state_code: "",
  medium_code: "9250000000045",
  balance: 23543234
};
// MOCK
exports.largeUserInfo = largeUserInfo;
const promotions = [{
  id: 123,
  brand_image: (0, _utils.generateImg)("10x10", "L"),
  image: (0, _utils.generateImg)("20x10", "SMALL"),
  price: "Small",
  title: "Small",
  description: "Small",
  terms_and_conditions: "terms_and_conditions",
  valid_until: null
}, {
  id: 234,
  brand_image: (0, _utils.generateImg)("30x30", "L"),
  image: (0, _utils.generateImg)("200x100", "Product_ABC"),
  price: "3pz x $100",
  title: "Accurate Title",
  description: "Accurate Description from a promotion",
  terms_and_conditions: "terms_and_conditions",
  valid_until: "11/11/2011"
}, {
  id: 345,
  brand_image: (0, _utils.generateImg)("100x100", "L"),
  image: (0, _utils.generateImg)("2000x1000", "GIGANT"),
  price: "A very, very but very large text to see if the container overflows and if it does just check the behavior.",
  title: "A very, very but very large text to see if the container overflows and if it does just check the behavior.",
  description: "A very, very but very large text to see if the container overflows and if it does just check the behavior.",
  terms_and_conditions: "terms_and_conditions",
  valid_until: "11/11/2011"
}];
// MOCK
exports.promotions = promotions;
const banners = [{
  id: 123,
  img: "https://dummyimage.com/100x100/000/fff&text=100x100",
  url: "http://www.google.com"
}, {
  id: 234,
  img: "https://dummyimage.com/300x300/000/fff&text=300x300",
  url: "http://www.google.com"
}, {
  id: 345,
  img: "https://dummyimage.com/500x500/000/fff&text=500x500",
  url: "http://www.google.com"
}];
exports.banners = banners;
const stamps = [{
  id: 123,
  brand_image: (0, _utils.generateImg)("10x10", "L"),
  image: (0, _utils.generateImg)("50x50", "Product"),
  title: "Short",
  description: "description Short",
  balance: 3,
  required_balance: 5,
  available_to_redeem: 0,
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 234,
  brand_image: (0, _utils.generateImg)("10x10", "L"),
  image: (0, _utils.generateImg)("50x50", "Product"),
  title: "Average title for stamp dynamic",
  description: "description Average title for stamp dynamic",
  balance: 5,
  required_balance: 8,
  available_to_redeem: 0,
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 345,
  brand_image: (0, _utils.generateImg)("100x100", "L"),
  image: (0, _utils.generateImg)("500x500", "Product"),
  title: "Title provided to see the behaviour on overflow that why we need to be too big iykwim 7u7 yeah i know it baby Title provided to see the behaviour on overflow that why we need to be too big iykwim 7u7 yeah i know it baby",
  description: "description Title provided to see the behaviour on overflow that why we need to be too big iykwim 7u7 yeah i know it baby Title provided to see the behaviour on overflow that why we need to be too big iykwim 7u7 yeah i know it baby",
  balance: 13,
  required_balance: 5,
  available_to_redeem: 2,
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 456,
  brand_image: (0, _utils.generateImg)("100x100", "L"),
  image: (0, _utils.generateImg)("500x500", "Product"),
  title: "Average title for stamp dynamic",
  description: "description Average title for stamp dynamic",
  balance: 8,
  required_balance: 11,
  available_to_redeem: 0,
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 567,
  brand_image: (0, _utils.generateImg)("100x100", "L"),
  image: (0, _utils.generateImg)("500x500", "Product"),
  title: "Average title for stamp dynamic",
  description: "description Average title for stamp dynamic",
  balance: 18,
  required_balance: 21,
  available_to_redeem: 0,
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 1549626676,
  title: "SellOXXO Paletas Heladas",
  description: "Compra 3 y 4to gratis",
  balance: 0,
  required_balance: 3,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: "01/01/2026",
  category: "Campo futuro en Ruby"
}, {
  id: 80267641,
  title: "PunchCard Aditivo/Lubricante",
  description: "compra 3 y el 4to es gratis",
  balance: 0,
  required_balance: 3,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: "12/01/2023",
  category: "Campo futuro en Ruby"
}, {
  id: 214748894,
  title: "PunchCard Selloxo test SKU",
  description: "",
  balance: 0,
  required_balance: 5,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 22257079,
  title: "PunchCard Mig - 32",
  description: "",
  balance: 0,
  required_balance: 4,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 529702758,
  title: "Oxxo PunchCard Test New",
  description: "",
  balance: 0,
  required_balance: 5,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 933407898,
  title: "PunchCard OXXO Test 3",
  description: "",
  balance: 0,
  required_balance: 4,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 199005639,
  title: "SellOXXO Electrolit",
  description: "Compra 3 y 4to gratis",
  balance: 0,
  required_balance: 3,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: "31/01/2025",
  category: "Campo futuro en Ruby"
}, {
  id: 639736459,
  title: "Punchcard SPIN Test 1",
  description: "",
  balance: 0,
  required_balance: 5,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 2101101763,
  title: "Punchcard SPIN Test",
  description: "",
  balance: 0,
  required_balance: 5,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 837223305,
  title: "Punchcard OXXO Test 2",
  description: "",
  balance: 0,
  required_balance: 5,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}, {
  id: 1721957088,
  title: "Punchcard OXXO Test",
  description: "",
  balance: 0,
  required_balance: 5,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "Campo futuro en Ruby",
  valid_until: null,
  category: "Campo futuro en Ruby"
}];
exports.stamps = stamps;
const rewards = [{
  id: 1861986054,
  title: "SellOxxo Cacahuate",
  description: "Compra 3 y 4to gratis",
  balance: 0,
  required_balance: 3,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "",
  valid_until: null,
  category: "",
  sponsor_name: "Oxxo"
}, {
  id: 1004600859,
  title: "SellOxxo Botanas - Frituras",
  description: "Compra 3 y 4to gratis",
  balance: 0,
  required_balance: 3,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "",
  valid_until: null,
  category: "",
  sponsor_name: "Oxxo"
}, {
  id: 1549626676,
  title: "SellOXXO Paletas Heladas",
  description: "Compra 3 y 4to gratis",
  balance: 2,
  required_balance: 3,
  available_to_redeem: 2,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "",
  valid_until: "01/01/2026",
  category: "",
  sponsor_name: "Oxxo"
}, {
  id: 199005639,
  title: "SellOXXO Electrolit",
  description: "Compra 3 y 4to gratis",
  balance: 0,
  required_balance: 3,
  available_to_redeem: 0,
  brand_image: "https://burst.shopifycdn.com/photos/cafe-cup-on-wood-table.jpg?width=373&format=pjpg&exif=1&iptc=1",
  image: "https://burst.shopifycdn.com/photos/cozy-reading-in-bed.jpg?width=373&format=pjpg&exif=1&iptc=1",
  terms_and_conditions: "",
  valid_until: "31/01/2025",
  category: "",
  sponsor_name: "Oxxo"
}];
exports.rewards = rewards;
const awards = [{
  id: 501776254,
  title: "GRATIS Concent.de bebidas 35 puntos",
  description: "",
  pay_in_points: 35,
  brand_image: "https://cdn.com/logo/mini_oxxo",
  image: "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSTyhwCVKzmJ7yHJatM5gFC3inBuNyrzIAPKDjv5Xl9YUy5lGC1tzSmCqGoQ1Tf-s4ZSyM&usqp=CAU",
  terms_and_conditions: "Vigencia del 6 de Octubre al 02 de Noviembre del 2022 o hasta agotar existencias. No aplica con otras promociones. Sujeto a disponibilidad. No aplica en compra individual. Aplica únicamente el día indicado en el detalle de la promoción.",
  valid_until: null,
  category: "Food",
  sponsor_name: "OXXO"
}, {
  id: 1156371425,
  title: "GRATIS tamarindos y aciditos 50 puntos",
  description: "Vigencia del 6 de Octubre al 02 de Noviembre del 2022 o hasta agotar existencias. No aplica con otras promociones. Sujeto a disponibilidad. No aplica en compra individual. Aplica únicamente el día indicado en el detalle de la promoción.",
  pay_in_points: 60,
  brand_image: "https://cdn.com/logo/mini_oxxo",
  image: "http://amigosdelantiguoegipto.com/wp-content/uploads/varios/signos-simbolos/2007/08/rejit.jpg",
  terms_and_conditions: "Vigencia del 6 de Octubre al 02 de Noviembre del 2022 o hasta agotar existencias. No aplica con otras promociones. Sujeto a disponibilidad. No aplica en compra individual. Aplica únicamente el día indicado en el detalle de la promoción.",
  valid_until: null,
  category: "Food",
  sponsor_name: "OXXO"
}, {
  id: 1426237932,
  title: "GRATIS Chicles",
  description: "Obtén por 10 puntos variedad de chicles",
  pay_in_points: 10,
  brand_image: "https://cdn.com/logo/mini_oxxo",
  image: "https://cdn.com/prizes/mobile_1549626676",
  terms_and_conditions: "Vigencia del 6 de Octubre al 02 de Noviembre del 2022 o hasta agotar existencias. No aplica con otras promociones. Sujeto a disponibilidad. No aplica en compra individual. Aplica únicamente el día indicado en el detalle de la promoción.",
  valid_until: "01/01/2024",
  category: "Food",
  sponsor_name: "OXXO"
}, {
  id: 1240441202,
  title: "GRATIS Artículos para rasurar",
  description: "Obtén por 12 puntos variedad de artículos para rasurar",
  pay_in_points: 12,
  brand_image: "https://cdn.com/logo/mini_oxxo",
  image: "https://cdn.com/prizes/mobile_1549626676",
  terms_and_conditions: "Vigencia del 6 de Octubre al 02 de Noviembre del 2022 o hasta agotar existencias. No aplica con otras promociones. Sujeto a disponibilidad. No aplica en compra individual. Aplica únicamente el día indicado en el detalle de la promoción.",
  valid_until: "01/01/2024",
  category: "Food",
  sponsor_name: "OXXO"
}, {
  id: 323315772,
  title: "GRATIS Pilas Alcalinas",
  description: "Obtén por 20 puntos variedad de pilas alcalinas",
  pay_in_points: 20,
  brand_image: "https://cdn.com/logo/mini_oxxo",
  image: "https://cdn.com/prizes/mobile_1549626676",
  terms_and_conditions: "Vigencia del 6 de Octubre al 02 de Noviembre del 2022 o hasta agotar existencias. No aplica con otras promociones. Sujeto a disponibilidad. No aplica en compra individual. Aplica únicamente el día indicado en el detalle de la promoción.",
  valid_until: "01/01/2024",
  category: "Food",
  sponsor_name: "OXXO"
}];
exports.awards = awards;
const extraPoints = [{
  id: 191298965,
  title: "Frijoles Refritos Peruanos Isadora Verde Valle 430 G Bolsa",
  description: "15 Puntos extra en la compra de frijoles isadora",
  extra_points: 15,
  brand_image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  terms_and_conditions: "Hasta agotar existencias",
  valid_until: null,
  category: "Food",
  sponsor_name: "Oxxo"
}, {
  id: 191298966,
  title: "Atún En Agua El Dorado 140Gr Lata",
  description: "4 puntos extra por cada lata de atun comprada aplica maximo a 10 latas",
  extra_points: 4,
  brand_image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  terms_and_conditions: "Vigencia del 12 de Noviembre al 12 de Diciembre del 2022 o hasta agotar existencias.",
  valid_until: "12/12/2022",
  category: "Food",
  sponsor_name: "Oxxo"
}, {
  id: 191298967,
  title: "Atún En Aceite Dolores 140Grs",
  description: "4 puntos extra por cada lata de atun comprada aplica maximo a 10 latas",
  extra_points: 4,
  brand_image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  terms_and_conditions: "Vigencia del 12 de Noviembre al 12 de Diciembre del 2022 o hasta agotar existencias.",
  valid_until: "12/12/2022",
  category: "Food",
  sponsor_name: "Oxxo"
}, {
  id: 191298968,
  title: "Atún En Aceite Tuny 140 Gr Lata",
  description: "4 puntos extra por cada lata de atun comprada aplica maximo a 10 latas",
  extra_points: 4,
  brand_image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  terms_and_conditions: "Vigencia del 12 de Noviembre al 12 de Diciembre del 2022 o hasta agotar existencias.",
  valid_until: "12/12/2022",
  category: "Food",
  sponsor_name: "Oxxo"
}, {
  id: 191298969,
  title: "Refresco Sidral Mundet 3L Nr",
  description: "5 puntos extra en la compra de refrescos familiares de 2.5 y 3 L. Aplica variedad de sabores y marcas, maximo a 10 productos",
  extra_points: 5,
  brand_image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  image: "https://femsauat-media.uso20.gravty.io/cf-data/72/sponsor/logos/250b563b-3b9e-4fa3-aeda-6b236afd6e49-OXXO.png",
  terms_and_conditions: "",
  valid_until: null,
  category: "Food",
  sponsor_name: "Oxxo"
}];
exports.extraPoints = extraPoints;